Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class AbstractCellEditor

    java.lang.Object
      |
      +--javax.swing.AbstractCellEditor

All Implemented Interfaces:
  CellEditor, Serializable

Direct Known Subclasses:
  DefaultCellEditor

public abstract class AbstractCellEditor
extends Object
implements CellEditor, Serializable

Field Summary
`protected ChangeEvent` | `changeEvent`
`protected EventListenerList` | `listenerList`

Constructor Summary
`AbstractCellEditor()`

Method Summary
`void` | `addCellEditorListener(CellEditorListener l)` Adds a `CellEditorListener` to the listener list.
`void` | `cancelCellEditing()` Calls `fireEditingCanceled`.
`protected void` | `fireEditingCanceled()` Notifies all listeners that have registered interest for notification on this event type.
`protected void` | `fireEditingStopped()` Notifies all listeners that have registered interest for notification on this event type.
`CellEditorListener[]` | `getCellEditorListeners()` Returns an array of all the `CellEditorListener`s added to this AbstractCellEditor with addCellEditorListener().
`boolean` | `isCellEditable(EventObject e)` Returns true.
`void` | `removeCellEditorListener(CellEditorListener l)` Removes a `CellEditorListener` from the listener list.
`boolean` | `shouldSelectCell(EventObject anEvent)` Returns true.
`boolean` | `stopCellEditing()` Calls `fireEditingStopped` and returns true.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.CellEditor
`getCellEditorValue`

Field Detail

### listenerList

    protected EventListenerList listenerList

### changeEvent

    protected transient ChangeEvent changeEvent

Constructor Detail

### AbstractCellEditor

    public AbstractCellEditor()

Method Detail

### isCellEditable

    public boolean isCellEditable(EventObject e)

  Returns true.

  Specified by:
    `isCellEditable` in interface `CellEditor`
  Parameters:
    `e` - an event object
  Returns:
    true
  See Also:
    `CellEditor.shouldSelectCell(java.util.EventObject)`

### shouldSelectCell

    public boolean shouldSelectCell(EventObject anEvent)

  Returns true.

  Specified by:
    `shouldSelectCell` in interface `CellEditor`
  Parameters:
    `anEvent` - the event the editor should use to start editing
  Returns:
    true
  See Also:
    `CellEditor.isCellEditable(java.util.EventObject)`

### stopCellEditing

    public boolean stopCellEditing()

  Calls `fireEditingStopped` and returns true.

  Specified by:
    `stopCellEditing` in interface `CellEditor`
  Returns:
    true

### cancelCellEditing

    public void cancelCellEditing()

  Calls `fireEditingCanceled`.

  Specified by:
    `cancelCellEditing` in interface `CellEditor`

### addCellEditorListener

    public void addCellEditorListener(CellEditorListener l)

  Adds a `CellEditorListener` to the listener list.

  Specified by:
    `addCellEditorListener` in interface `CellEditor`
  Parameters:
    `l` - the new listener to be added

### removeCellEditorListener

    public void removeCellEditorListener(CellEditorListener l)

  Removes a `CellEditorListener` from the listener list.

  Specified by:
    `removeCellEditorListener` in interface `CellEditor`
  Parameters:
    `l` - the listener to be removed

### getCellEditorListeners

    public CellEditorListener[] getCellEditorListeners()

  Returns an array of all the `CellEditorListener`s added to this AbstractCellEditor with addCellEditorListener().

  Returns:
    all of the `CellEditorListener`s added or an empty array if no listeners have been added
  Since:
    1.4

### fireEditingStopped

    protected void fireEditingStopped()

  Notifies all listeners that have registered interest for notification on this event type. The event instance is created lazily.

  See Also:
    `EventListenerList`

### fireEditingCanceled

    protected void fireEditingCanceled()

  Notifies all listeners that have registered interest for notification on this event type. The event instance is created lazily.

  See Also:
    `EventListenerList`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.